internal::Wrapper< T[N]>::_unwind_class Struct Reference
Collaboration diagram for internal::Wrapper< T[N]>::_unwind_class:

## Public Member Functions

| _unwind_class (pointer_type p)
| ~_unwind_class ()

## Public Attributes

pointer_type | space
int | already_built

## Detailed Description

### template<typename T, size_t N>
struct internal::Wrapper< T[N]>::_unwind_class

Definition at line 490 of file _flow_graph_types_impl.h.

## Constructor & Destructor Documentation

## _unwind_class()

template<typename T , size_t N>

internal::Wrapper< T[N]>::_unwind_class::_unwind_class | ( | pointer_type | p | ) |

inline

Definition at line 493 of file _flow_graph_types_impl.h.

: space(p), already_built(0) {}

## ~_unwind_class()

template<typename T , size_t N>

internal::Wrapper< T[N]>::_unwind_class::~_unwind_class | ( |  | ) |

inline

Definition at line 494 of file _flow_graph_types_impl.h.

{
if(space) {
for(size_t i = already_built; i > 0 ; --i ) space[i-1].~value_type();
(void) new(space) Wrapper<default_constructed>(default_constructed());
}
}

References void.

## Member Data Documentation

## already_built

template<typename T , size_t N>

int internal::Wrapper< T[N]>::_unwind_class::already_built

Definition at line 492 of file _flow_graph_types_impl.h.

## space

template<typename T , size_t N>

pointer_type internal::Wrapper< T[N]>::_unwind_class::space

Definition at line 491 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

internal::Wrapper< T[N]>::_unwind_class::space
pointer_type space
Definition: _flow_graph_types_impl.h:491
internal::Wrapper< T[N]>::_unwind_class::already_built
int already_built
Definition: _flow_graph_types_impl.h:492
void
void
Definition: ittnotify_static.h:91
internal::Wrapper< T[N]>::value_type
T value_type
Definition: _flow_graph_types_impl.h:475
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.